Skip to main content
POST
/
v1
/
calls
Start a new call
curl --request POST \
  --url https://api.wavix.com/v1/calls \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from": "+1234567890",
  "to": "+1987654321",
  "callback_url": "https://examples.com/callback",
  "recording": false,
  "voicemail_detection": false,
  "tag": "marketing-campaign",
  "timeout": 60
}
'
{
  "uuid": "5dccb6b0-f35c-488c-867b-86fb012c4415",
  "direction": "inbound",
  "event_type": "call_setup",
  "event_time": "2025-09-22T12:56:38.547Z",
  "event_payload": null,
  "from": "+18045961058",
  "to": "17653889567",
  "call_started": "2025-09-22T12:56:38.547Z",
  "call_answered": null,
  "call_completed": null,
  "machine_detected": false,
  "tag": ""
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Body

application/json

Call parameters

from
string
required

Caller ID. Must be an active or verified phone number in your account.

Example:

"+1234567890"

to
string
required

Destination number in E.164 format

Example:

"+1987654321"

callback_url
string
required

The callback URL where Wavix sends the call status updates

Example:

"https://examples.com/callback"

recording
boolean
default:false

Specifies whether to record the call

voicemail_detection
boolean
default:false

Specifies whether the AMD is turned on for the call

tag
string

Call metadata

Example:

"marketing-campaign"

timeout
integer

The ring timeout, in seconds, before the call is considered unanswered.

Example:

60

Response

Call started successfully

uuid
string<uuid>

Call ID

Example:

"5dccb6b0-f35c-488c-867b-86fb012c4415"

direction
enum<string>

Call direction - inbound or outbound

Available options:
inbound,
outbound
event_type
string

The latest call event

Example:

"call_setup"

event_time
string<date-time>

Date and time of the latest event

Example:

"2025-09-22T12:56:38.547Z"

event_payload
object

Event-specific data

Example:

null

from
string

Caller ID

Example:

"+18045961058"

to
string

Destination number

Example:

"17653889567"

call_started
string<date-time>

Date and time when the call started

Example:

"2025-09-22T12:56:38.547Z"

call_answered
string<date-time> | null

Date and time when the call was answered

Example:

null

call_completed
string<date-time> | null

Date and time when the call ended

Example:

null

machine_detected
boolean

Indicates whether the call was answered by an answering machine

Example:

false

tag
string

Call metadata

Example:

""